Debian Bug report logs - #669525
bumprace: FTBFS: configure: error: Your system is missing libjpeg!

version graph

Package: src:bumprace; Maintainer for src:bumprace is Christian T. Steigies <cts@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 19 Apr 2012 20:21:34 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version bumprace/1.5.3-3

Fixed in version bumprace/1.5.4-1

Done: cts@debian.org (Christian T. Steigies)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian T. Steigies <cts@debian.org>:
Bug#669525; Package src:bumprace. (Thu, 19 Apr 2012 20:21:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Christian T. Steigies <cts@debian.org>. (Thu, 19 Apr 2012 20:21:38 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: bumprace: FTBFS: configure: error: Your system is missing libjpeg!
Date: Thu, 19 Apr 2012 22:01:55 +0200
Source: bumprace
Version: 1.5.3-3
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120419 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  debian/rules build
> test -x debian/rules
> mkdir -p "."
> if test -e /usr/share/misc/config.guess ; then \
> 		for i in ./config.guess ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.guess $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> if test -e /usr/share/misc/config.sub ; then \
> 		for i in ./config.sub ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.sub $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> touch debian/stamp-autotools-files
> chmod a+x /«PKGBUILDDIR»/./configure
> mkdir -p .
> cd . &&   CFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall" CXXFLAGS="-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall" CPPFLAGS="-D_FORTIFY_SOURCE=2" LDFLAGS="-Wl,-z,relro" /«PKGBUILDDIR»/./configure --build=x86_64-linux-gnu  --prefix=/usr --includedir="\${prefix}/include" --mandir="\${prefix}/share/man" --infodir="\${prefix}/share/info" --sysconfdir=/etc --localstatedir=/var --libexecdir="\${prefix}/lib/bumprace" --srcdir=. --disable-maintainer-mode --disable-dependency-tracking --disable-silent-rules   --prefix=/usr --bindir=/usr/games/ --mandir=/usr/share/man --datadir=/usr/share/games 
> checking build system type... x86_64-pc-linux-gnu
> checking host system type... x86_64-pc-linux-gnu
> checking target system type... x86_64-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... no
> checking for mawk... mawk
> checking whether make sets $(MAKE)... yes
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables... 
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking for style of include used by make... GNU
> checking dependency style of gcc... none
> checking for a BSD-compatible install... /usr/bin/install -c
> checking for ranlib... ranlib
> checking for an ANSI C-conforming const... yes
> checking for main in -lm... yes
> checking for sdl-config... /usr/bin/sdl-config
> checking for SDL - version >= 1.1.5... yes
> configure: error: Your system is missing libjpeg!
> checking for main in -ljpeg... no
> make: *** [debian/stamp-autotools] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/04/19/bumprace_1.5.3-3_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Christian T. Steigies <cts@debian.org>:
Bug#669525; Package src:bumprace. (Sun, 29 Apr 2012 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Artur Rona <ari-tczew@tlen.pl>:
Extra info received and forwarded to list. Copy sent to Christian T. Steigies <cts@debian.org>. (Sun, 29 Apr 2012 15:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 669525@bugs.debian.org (full text, mbox):

From: Artur Rona <ari-tczew@tlen.pl>
To: 669525@bugs.debian.org
Subject: bumprace: FTBFS: configure: error: Your system is missing libjpeg!
Date: Sun, 29 Apr 2012 17:53:25 +0200
[Message part 1 (text/plain, inline)]
Tags: patch

Hello,

I've prepared a simple patch to fix this bug. Just add zlib1g-dev to 
Build-Depends.
Please consider use wrap-and-sort to clean up your debian/* directory.

-- 
Pozdrawiam / Kind regards,
Artur Rona

[Message part 2 (text/html, inline)]
[bts-669525.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian T. Steigies <cts@debian.org>:
Bug#669525; Package src:bumprace. (Thu, 10 May 2012 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Artur Rona <ari-tczew@tlen.pl>:
Extra info received and forwarded to list. Copy sent to Christian T. Steigies <cts@debian.org>. (Thu, 10 May 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #15 received at 669525@bugs.debian.org (full text, mbox):

From: Artur Rona <ari-tczew@tlen.pl>
To: 669525@bugs.debian.org
Cc: control@bugs.debian.org
Subject: bumprace: FTBFS: configure: error: Your system is missing libjpeg!
Date: Thu, 10 May 2012 18:43:52 +0200
tags 669525 patch
thanks




Added tag(s) patch. Request was from Artur Rona <ari-tczew@tlen.pl> to control@bugs.debian.org. (Thu, 10 May 2012 16:45:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian T. Steigies <cts@debian.org>:
Bug#669525; Package src:bumprace. (Sun, 13 May 2012 15:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Christian T. Steigies <cts@debian.org>. (Sun, 13 May 2012 15:36:12 GMT) Full text and rfc822 format available.

Message #22 received at 669525@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <669525@bugs.debian.org>
Subject: Bug #669525: diff for NMU
Date: Sun, 13 May 2012 16:30:45 +0100
[Message part 1 (text/plain, inline)]
tags 669525 + pending
thanks

Hi,

I've prepared an NMU to fix this bug, and uploaded it to DELAYED/2; 
debdiff attached.

Regards,

Adam
[bumprace_1.5.3-3.1.debdiff (text/plain, attachment)]

Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 13 May 2012 15:36:20 GMT) Full text and rfc822 format available.

Reply sent to cts@debian.org (Christian T. Steigies):
You have taken responsibility. (Mon, 14 May 2012 22:21:43 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 14 May 2012 22:21:43 GMT) Full text and rfc822 format available.

Message #29 received at 669525-close@bugs.debian.org (full text, mbox):

From: cts@debian.org (Christian T. Steigies)
To: 669525-close@bugs.debian.org
Subject: Bug#669525: fixed in bumprace 1.5.4-1
Date: Mon, 14 May 2012 22:17:27 +0000
Source: bumprace
Source-Version: 1.5.4-1

We believe that the bug you reported is fixed in the latest version of
bumprace, which is due to be installed in the Debian FTP archive:

bumprace-data_1.5.4-1_all.deb
  to main/b/bumprace/bumprace-data_1.5.4-1_all.deb
bumprace_1.5.4-1.debian.tar.gz
  to main/b/bumprace/bumprace_1.5.4-1.debian.tar.gz
bumprace_1.5.4-1.dsc
  to main/b/bumprace/bumprace_1.5.4-1.dsc
bumprace_1.5.4-1_amd64.deb
  to main/b/bumprace/bumprace_1.5.4-1_amd64.deb
bumprace_1.5.4.orig.tar.gz
  to main/b/bumprace/bumprace_1.5.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669525@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian T. Steigies <cts@debian.org> (supplier of updated bumprace package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 May 2012 23:38:14 +0200
Source: bumprace
Binary: bumprace bumprace-data
Architecture: source all amd64
Version: 1.5.4-1
Distribution: unstable
Urgency: low
Maintainer: Christian T. Steigies <cts@debian.org>
Changed-By: Christian T. Steigies <cts@debian.org>
Description: 
 bumprace   - 1 or 2 players race through a multi-level maze
 bumprace-data - data files for bumprace
Closes: 613344 669525 672900
Changes: 
 bumprace (1.5.4-1) unstable; urgency=low
 .
   * new upstream version, sound and music have been removed (closes: #613344)
   * add libjpeg-dev and zlib1g-dev to Build-Depends (closes: #669525,#672900)
   * remove devscripts from Build-Depends as suggested by Adam D. Barratt
   * updated Standards-Version to 3.9.3 (no changes)
Checksums-Sha1: 
 296055a2555ef62adcf4d8d3dc7f4782ffaa6f5a 1229 bumprace_1.5.4-1.dsc
 d094c7dbef8d9f380af8632e9a1db7645ddd112a 698606 bumprace_1.5.4.orig.tar.gz
 f2ad13a49a8428f3749b799e7a67384dd9d950aa 8826 bumprace_1.5.4-1.debian.tar.gz
 112fe6a9fd4372239b57c402f2b0e3fe7b45fab8 506188 bumprace-data_1.5.4-1_all.deb
 26d598b71eeee2c8377db6ff5be15d6b7cb77507 44282 bumprace_1.5.4-1_amd64.deb
Checksums-Sha256: 
 3b79313c6a11c9ebc2729125b1e88ae1ca87aacbd35a20918c456727e947828f 1229 bumprace_1.5.4-1.dsc
 3732d236cf02b368ee5dfa6bde6512eefd5f11c33328fb98628708d133127b7d 698606 bumprace_1.5.4.orig.tar.gz
 4dacca924fcc018c201c49df2a19fd2b939e5193a8fca5fcb25996235cf1a656 8826 bumprace_1.5.4-1.debian.tar.gz
 ea71026027884825116cac6ca4c85617fa9a4ccb9db37d815ad5b4c59d2c438d 506188 bumprace-data_1.5.4-1_all.deb
 e5163bb31e9a367119650b42acfb8d0e090b303891e0a76b86fe0c44a06f61b8 44282 bumprace_1.5.4-1_amd64.deb
Files: 
 7799ef279a4fcc7e3d3f2321ec3141aa 1229 games optional bumprace_1.5.4-1.dsc
 9fbc91b4790efe4b7fbe58e94ad7e431 698606 games optional bumprace_1.5.4.orig.tar.gz
 2431985bd2ed6dbda7c08eac3f80b603 8826 games optional bumprace_1.5.4-1.debian.tar.gz
 b660cf6a399824c9f759a2acedddbd5c 506188 games optional bumprace-data_1.5.4-1_all.deb
 4118f04a46af1cf3a9dd2e1547f578c1 44282 games optional bumprace_1.5.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+xgzEACgkQhWcuXd2lEoCR8gCdGC8Tfn2hHGhYw5igwqB8EAOP
2HoAmwftj5wGMCvW7PsRIwT37D18CrpP
=jnsR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:37:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:01:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.